#include <iostream>
#include <sstream>
#include <string>
using namespace std;

int main()
{
    int a,b,c;
    cin>>a>>b>>c;
    string sa,sb,sc,s1,s2,s3,s4,s5,s6,smax;
    stringstream ssa,ssb,ssc;
    ssa<<a;
    sa=ssa.str();
    ssb<<b;
    sb=ssb.str();
    ssc<<c;
    sc=ssc.str();
    s1=sa+sb+sc;
    s2=sa+sc+sb;
    s3=sb+sa+sc;
    s4=sb+sc+sa;
    s5=sc+sa+sb;
    s6=sc+sb+sa;
    smax=s1;
    if(s1.compare(s2)<0) smax=s2;
    if(smax.compare(s3)<0) smax=s3;
    if(smax.compare(s4)<0) smax=s4;
    if(smax.compare(s5)<0) smax=s5;
    if(smax.compare(s6)<0) smax=s6;
    cout<<smax;
    return 0;
}